# RTI::RTIambassador Class Reference

`#include <RTI.hh>`

List of all members.

## Public Types
typedef FederateAmbassador * | FederateAmbassadorPtr
## Public Member Functions
void | createFederationExecution (const char *executionName, const char *FEDid) throw (FederationExecutionAlreadyExists, CouldNotOpenFED, ErrorReadingFED, ConcurrentAccessAttempted, RTIinternalError)
| Realization of the Create Federation Execution federation management service (HLA 1.3).
void | destroyFederationExecution (const char *) throw (FederatesCurrentlyJoined, FederationExecutionDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)
| Realization of the Destroy Federation Execution federation management service (HLA 1.3).
FederateHandle | joinFederationExecution (const char *, const char *, FederateAmbassadorPtr) throw (FederateAlreadyExecutionMember, FederationExecutionDoesNotExist, CouldNotOpenFED, ErrorReadingFED, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Join Federation Execution.
void | resignFederationExecution (ResignAction) throw (FederateOwnsAttributes, FederateNotExecutionMember, InvalidResignAction, ConcurrentAccessAttempted, RTIinternalError)
| Resign Federation Execution.
void | registerFederationSynchronizationPoint (const char *, const char *) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Register Federation Synchronization Point without set of federates.
void | registerFederationSynchronizationPoint (const char *, const char *, const FederateHandleSet &) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Register Federation Synchronization Point with set of federates (UNIMPLEMENTED).
void | synchronizationPointAchieved (const char *) throw (SynchronizationPointLabelWasNotAnnounced, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Synchronization Point Achieved.
void | requestFederationSave (const char *, const FedTime &) throw (FederationTimeAlreadyPassed, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Request Federation Save with time.
void | requestFederationSave (const char *) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Request Federation Save without time.
void | federateSaveBegun () throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)
| Federate Save Begun.
void | federateSaveComplete () throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)
| Federate Save Complete.
void | federateSaveNotComplete () throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)
void | requestFederationRestore (const char *) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Request Restore.
void | federateRestoreComplete () throw (RestoreNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RTIinternalError)
| Restore Complete.
void | federateRestoreNotComplete () throw (RestoreNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RTIinternalError)
| Federate Restore Not Complete.
void | publishObjectClass (ObjectClassHandle, const AttributeHandleSet &) throw (ObjectClassNotDefined, AttributeNotDefined, OwnershipAcquisitionPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unpublishObjectClass (ObjectClassHandle) throw (ObjectClassNotDefined, ObjectClassNotPublished, OwnershipAcquisitionPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | publishInteractionClass (InteractionClassHandle) throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unpublishInteractionClass (InteractionClassHandle) throw (InteractionClassNotDefined, InteractionClassNotPublished, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | subscribeObjectClassAttributes (ObjectClassHandle, const AttributeHandleSet &, Boolean=RTI_TRUE) throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unsubscribeObjectClass (ObjectClassHandle) throw (ObjectClassNotDefined, ObjectClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | subscribeInteractionClass (InteractionClassHandle, Boolean=RTI_TRUE) throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, FederateLoggingServiceCalls, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unsubscribeInteractionClass (InteractionClassHandle) throw (InteractionClassNotDefined, InteractionClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
ObjectHandle | registerObjectInstance (ObjectClassHandle, const char *) throw (ObjectClassNotDefined, ObjectClassNotPublished, ObjectAlreadyRegistered, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
ObjectHandle | registerObjectInstance (ObjectClassHandle) throw (ObjectClassNotDefined, ObjectClassNotPublished, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
EventRetractionHandle | updateAttributeValues (ObjectHandle, const AttributeHandleValuePairSet &, const FedTime &, const char *) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Realization of the Create Federation Execution federation management service with time (HLA 1.3).
void | updateAttributeValues (ObjectHandle, const AttributeHandleValuePairSet &, const char *) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Realization of the Create Federation Execution federation management service without time (HLA 1.3).
EventRetractionHandle | sendInteraction (InteractionClassHandle, const ParameterHandleValuePairSet &, const FedTime &, const char *) throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Send Interaction with time This service (HLA 1.3) send an interaction into the federation.
void | sendInteraction (InteractionClassHandle, const ParameterHandleValuePairSet &, const char *) throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Send Interaction without time This service (HLA 1.3) send an interaction into the federation.
EventRetractionHandle | deleteObjectInstance (ObjectHandle, const FedTime &, const char *) throw (ObjectNotKnown, DeletePrivilegeNotHeld, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Delete Object with time This service (HLA 1.3) deletes an object instance.
void | deleteObjectInstance (ObjectHandle, const char *) throw (ObjectNotKnown, DeletePrivilegeNotHeld, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Delete Object without time This service (HLA 1.3) deletes an object instance.
void | localDeleteObjectInstance (ObjectHandle) throw (ObjectNotKnown, FederateOwnsAttributes, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | changeAttributeTransportationType (ObjectHandle, const AttributeHandleSet &, TransportationHandle) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | changeInteractionTransportationType (InteractionClassHandle, TransportationHandle) throw (InteractionClassNotDefined, InteractionClassNotPublished, InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | requestObjectAttributeValueUpdate (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | requestClassAttributeValueUpdate (ObjectClassHandle, const AttributeHandleSet &) throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unconditionalAttributeOwnershipDivestiture (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | negotiatedAttributeOwnershipDivestiture (ObjectHandle, const AttributeHandleSet &, const char *) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeAlreadyBeingDivested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | attributeOwnershipAcquisition (ObjectHandle, const AttributeHandleSet &desiredAttributes, const char *) throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | attributeOwnershipAcquisitionIfAvailable (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, AttributeAlreadyBeingAcquired, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
AttributeHandleSet * | attributeOwnershipReleaseResponse (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateWasNotAskedToReleaseAttribute, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | cancelNegotiatedAttributeOwnershipDivestiture (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | cancelAttributeOwnershipAcquisition (ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | queryAttributeOwnership (ObjectHandle, AttributeHandle) throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
Boolean | isAttributeOwnedByFederate (ObjectHandle, AttributeHandle) throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | enableTimeRegulation (const FedTime &, const FedTime &) throw (TimeRegulationAlreadyEnabled, EnableTimeRegulationPending, TimeAdvanceAlreadyInProgress, InvalidFederationTime, InvalidLookahead, ConcurrentAccessAttempted, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | disableTimeRegulation () throw (TimeRegulationWasNotEnabled, ConcurrentAccessAttempted, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | enableTimeConstrained () throw (TimeConstrainedAlreadyEnabled, EnableTimeConstrainedPending, TimeAdvanceAlreadyInProgress, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | disableTimeConstrained () throw (TimeConstrainedWasNotEnabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | timeAdvanceRequest (const FedTime &) throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | timeAdvanceRequestAvailable (const FedTime &) throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | nextEventRequest (const FedTime &) throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | nextEventRequestAvailable (const FedTime &) throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | flushQueueRequest (const FedTime &) throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | enableAsynchronousDelivery () throw (AsynchronousDeliveryAlreadyEnabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | disableAsynchronousDelivery () throw (AsynchronousDeliveryAlreadyDisabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | queryLBTS (FedTime &) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | queryFederateTime (FedTime &) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | queryMinNextEventTime (FedTime &) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | modifyLookahead (const FedTime &) throw (InvalidLookahead, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | queryLookahead (FedTime &) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | retract (EventRetractionHandle theHandle) throw (InvalidRetractionHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | changeAttributeOrderType (ObjectHandle, const AttributeHandleSet &, OrderingHandle) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | changeInteractionOrderType (InteractionClassHandle, OrderingHandle) throw (InteractionClassNotDefined, InteractionClassNotPublished, InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
Region * | createRegion (SpaceHandle, ULong) throw (SpaceNotDefined, InvalidExtents, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Create a routing region for data distribution management.
void | notifyAboutRegionModification (Region &theRegion) throw (RegionNotKnown, InvalidExtents, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Notify about region modification.
void | deleteRegion (Region *) throw (RegionNotKnown, RegionInUse, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Delete region.
ObjectHandle | registerObjectInstanceWithRegion (ObjectClassHandle, const char *, AttributeHandle[], Region *theRegions[], ULong) throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, ObjectAlreadyRegistered, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
ObjectHandle | registerObjectInstanceWithRegion (ObjectClassHandle, AttributeHandle[], Region *regions[], ULong) throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | associateRegionForUpdates (Region &, ObjectHandle, const AttributeHandleSet &) throw (ObjectNotKnown, AttributeNotDefined, InvalidRegionContext, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Associate region for updates.
void | unassociateRegionForUpdates (Region &, ObjectHandle) throw (ObjectNotKnown, InvalidRegionContext, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Unassociate region for updates.
void | subscribeObjectClassAttributesWithRegion (ObjectClassHandle, Region &, const AttributeHandleSet &, Boolean=RTI_TRUE) throw (ObjectClassNotDefined, AttributeNotDefined, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Subscribe object class attributes with region.
void | unsubscribeObjectClassWithRegion (ObjectClassHandle, Region &) throw (ObjectClassNotDefined, RegionNotKnown, ObjectClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Unsubscribe object class attributes with region.
void | subscribeInteractionClassWithRegion (InteractionClassHandle, Region &, Boolean=RTI_TRUE) throw (InteractionClassNotDefined, RegionNotKnown, InvalidRegionContext, FederateLoggingServiceCalls, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unsubscribeInteractionClassWithRegion (InteractionClassHandle, Region &) throw (InteractionClassNotDefined, InteractionClassNotSubscribed, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
EventRetractionHandle | sendInteractionWithRegion (InteractionClassHandle, const ParameterHandleValuePairSet &, const FedTime &, const char *, const Region &) throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, InvalidFederationTime, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | sendInteractionWithRegion (InteractionClassHandle, const ParameterHandleValuePairSet &, const char *, const Region &) throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
void | requestClassAttributeValueUpdateWithRegion (ObjectClassHandle, const AttributeHandleSet &, const Region &) throw (ObjectClassNotDefined, AttributeNotDefined, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
ObjectClassHandle | getObjectClassHandle (const char *) throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get object class handle.
char * | getObjectClassName (ObjectClassHandle) throw (ObjectClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get object class name.
AttributeHandle | getAttributeHandle (const char *, ObjectClassHandle) throw (ObjectClassNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get attribute handle.
char * | getAttributeName (AttributeHandle, ObjectClassHandle) throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get attribute name.
InteractionClassHandle | getInteractionClassHandle (const char *) throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
char * | getInteractionClassName (InteractionClassHandle) throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
ParameterHandle | getParameterHandle (const char *, InteractionClassHandle) throw (InteractionClassNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
char * | getParameterName (ParameterHandle, InteractionClassHandle) throw (InteractionClassNotDefined, InteractionParameterNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
ObjectHandle | getObjectInstanceHandle (const char *) throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
char * | getObjectInstanceName (ObjectHandle) throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
SpaceHandle | getRoutingSpaceHandle (const char *) throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get routing space handle.
char * | getRoutingSpaceName (SpaceHandle) throw (SpaceNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get routing space name.
DimensionHandle | getDimensionHandle (const char *, SpaceHandle) throw (SpaceNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get dimension handle.
char * | getDimensionName (DimensionHandle, SpaceHandle) throw (SpaceNotDefined, DimensionNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get dimension name.
SpaceHandle | getAttributeRoutingSpaceHandle (AttributeHandle, ObjectClassHandle) throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get attribute routing space handle.
ObjectClassHandle | getObjectClass (ObjectHandle) throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
SpaceHandle | getInteractionRoutingSpaceHandle (InteractionClassHandle) throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
| Get interaction routing space handle.
TransportationHandle | getTransportationHandle (const char *) throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
char * | getTransportationName (TransportationHandle) throw (InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
OrderingHandle | getOrderingHandle (const char *) throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
char * | getOrderingName (OrderingHandle) throw (InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)
void | enableClassRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the ClassRelevanceAdvisory (CRA) switch to true.
void | disableClassRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the ClassRelevanceAdvisory (CRA) switch to false.
void | enableAttributeRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the AttributeRelevanceAdvisory (ARA) switch to true.
void | disableAttributeRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the AttributeRelevanceAdvisory (ARA) switch to false.
void | enableAttributeScopeAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the AttributeScopeAdvisory (ASA) switch to true.
void | disableAttributeScopeAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the AttributeScopeAdvisory (ASA) switch to false.
void | enableInteractionRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the InteractionRelevanceAdvisory (IRA) switch to true.
void | disableInteractionRelevanceAdvisorySwitch () throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets the InteractionRelevanceAdvisory (IRA) switch to false.
Boolean | tick () throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)
| Evoke callback (HLA1.3).
Boolean | tick2 () throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)
| Evoke callback (CERTI extension).
Boolean | __tick_kernel (Boolean, TickTime, TickTime) throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)
| Generic callback evocation (CERTI extension).
Boolean | tick (TickTime, TickTime) throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)
| Evoke multiple callbacks (HLA1.3).
| RTIambassador () throw (MemoryExhausted, RTIinternalError)
| Start RTIambassador processes for communication with RTIG.
| ~RTIambassador () throw (RTIinternalError)
| Closes processes.
RegionToken | getRegionToken (Region *) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError)
| Get Region Token.
Region * | getRegion (RegionToken) throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError)
| Get Region.
## Public Attributes
RTIambPrivateData * | privateData
## Private Attributes
RTIambPrivateRefs * | privateRefs

## Detailed Description

Definition at line 493 of file RTI.hh.

## Member Typedef Documentation

typedef FederateAmbassador* FederateAmbassadorPtr

Definition at line 499 of file RTI.hh.

## Constructor & Destructor Documentation

RTIambassador | ( |  | ) | throw (MemoryExhausted, RTIinternalError)

Start RTIambassador processes for communication with RTIG.

When a new RTIambassador is created in the application, a new process rtia is launched. This process is used for data exchange with rtig server. This process connects to rtia after one second delay (UNIX socket).

Definition at line 117 of file RTIambassador.cc.

References SocketUN::connectUN(), D, G, RTIambPrivateRefs::is_reentrant, PrettyDebug::Out(), pdError, pdGendoc, RTIambPrivateRefs::pid_RTIA, privateRefs, PrettyDebug::setFederateName(), RTIambPrivateRefs::socketUn, and certi::stIgnoreSignal.

Here is the call graph for this function:

~RTIambassador | ( |  | ) | throw (RTIinternalError)

Closes processes.

When destructor is called, kill rtia process.

Definition at line 217 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

## Member Function Documentation

void createFederationExecution | ( | const char * | executionName,
|  | const char * | FED |
| ) |  |  | throw (FederationExecutionAlreadyExists, CouldNotOpenFED, ErrorReadingFED, ConcurrentAccessAttempted, RTIinternalError)

Realization of the Create Federation Execution federation management service (HLA 1.3).

Send a CREATE_FEDERATION_EXECUTION request type to inform rtia process a new federation is being created.

Parameters:

  | executionName | execution name of the federation to be created
  | FED | FED file name (path seen by rtig)

Definition at line 391 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setFederationName(), Message::setFEDid(), and Message::type.

Here is the call graph for this function:

void destroyFederationExecution | ( | const char * | executionName | ) | throw (FederatesCurrentlyJoined, FederationExecutionDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)

Realization of the Destroy Federation Execution federation management service (HLA 1.3).

Send a DESTROY_FEDERATION_EXECUTION request type to remove a federation execution from the RTI set of federation executions.

Parameters:

  | executionName | execution name of the federation to be destroyed

Definition at line 428 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setFederationName(), and Message::type.

Here is the call graph for this function:

FederateHandle joinFederationExecution | ( | const char * | yourName,
|  | const char * | executionName,
|  | FederateAmbassadorPtr | fedamb |
| ) |  |  | throw (FederateAlreadyExecutionMember, FederationExecutionDoesNotExist, CouldNotOpenFED, ErrorReadingFED, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Join Federation Execution.

Definition at line 450 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), RTIambPrivateRefs::fed_amb, G, Message::getFederate(), PrettyDebug::Out(), pdGendoc, privateRefs, Message::setFederateName(), Message::setFederationName(), and Message::type.

Here is the call graph for this function:

void resignFederationExecution | ( | ResignAction | theAction | ) | throw (FederateOwnsAttributes, FederateNotExecutionMember, InvalidResignAction, ConcurrentAccessAttempted, RTIinternalError)

Resign Federation Execution.

Definition at line 480 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setResignAction(), and Message::type.

Here is the call graph for this function:

void registerFederationSynchronizationPoint | ( | const char * | label,
|  | const char * | the_tag |
| ) |  |  | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Register Federation Synchronization Point without set of federates.

Parameters:

  | label | Synchronization point label
  | the_tag | User-supplied tag

Definition at line 509 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setBoolean(), Message::setLabel(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void registerFederationSynchronizationPoint | ( | const char * | label,
|  | const char * | theTag,
|  | const FederateHandleSet & | set_of_fed |
| ) |  |  | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Register Federation Synchronization Point with set of federates (UNIMPLEMENTED).

Parameters:

  | label | Synchronization point label
  | theTag | User-supplied tag
  | set_of_fed | set of federate designators

Definition at line 546 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setBoolean(), Message::setLabel(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void synchronizationPointAchieved | ( | const char * | label | ) | throw (SynchronizationPointLabelWasNotAnnounced, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Synchronization Point Achieved.

Definition at line 591 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setLabel(), and Message::type.

Here is the call graph for this function:

void requestFederationSave | ( | const char * | label,
|  | const FedTime & | theTime |
| ) |  |  | throw (FederationTimeAlreadyPassed, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Request Federation Save with time.

Definition at line 614 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setBoolean(), Message::setFedTime(), Message::setLabel(), and Message::type.

Here is the call graph for this function:

void requestFederationSave | ( | const char * | label | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Request Federation Save without time.

Definition at line 643 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setBoolean(), Message::setLabel(), and Message::type.

Here is the call graph for this function:

void federateSaveBegun | ( |  | ) | throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)

Federate Save Begun.

Definition at line 669 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

void federateSaveComplete | ( |  | ) | throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)

Federate Save Complete.

Definition at line 690 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

void federateSaveNotComplete | ( |  | ) | throw (SaveNotInitiated, FederateNotExecutionMember, ConcurrentAccessAttempted, RestoreInProgress, RTIinternalError)

Definition at line 710 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

void requestFederationRestore | ( | const char * | label | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Request Restore.

Definition at line 732 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setLabel(), and Message::type.

Here is the call graph for this function:

void federateRestoreComplete | ( |  | ) | throw (RestoreNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RTIinternalError)

Restore Complete.

Definition at line 750 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

void federateRestoreNotComplete | ( |  | ) | throw (RestoreNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RTIinternalError)

Federate Restore Not Complete.

Definition at line 768 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, and Message::type.

Here is the call graph for this function:

void publishObjectClass | ( | ObjectClassHandle | theClass,
|  | const AttributeHandleSet & | attributeList |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, OwnershipAcquisitionPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 786 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHS(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

void unpublishObjectClass | ( | ObjectClassHandle | theClass | ) | throw (ObjectClassNotDefined, ObjectClassNotPublished, OwnershipAcquisitionPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 808 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

void publishInteractionClass | ( | InteractionClassHandle | theInteraction | ) | throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 829 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

void unpublishInteractionClass | ( | InteractionClassHandle | theInteraction | ) | throw (InteractionClassNotDefined, InteractionClassNotPublished, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 845 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

void subscribeObjectClassAttributes | ( | ObjectClassHandle | theClass,
|  | const AttributeHandleSet & | attributeList,
|  | RTI::Boolean | active = `RTI_TRUE` |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 861 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHS(), Message::setBoolean(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

void unsubscribeObjectClass | ( | ObjectClassHandle | theClass | ) | throw (ObjectClassNotDefined, ObjectClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 883 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

void subscribeInteractionClass | ( | InteractionClassHandle | theClass,
|  | RTI::Boolean | = `RTI_TRUE` |
| ) |  |  | throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, FederateLoggingServiceCalls, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 899 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

void unsubscribeInteractionClass | ( | InteractionClassHandle | theClass | ) | throw (InteractionClassNotDefined, InteractionClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 916 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

ObjectHandle registerObjectInstance | ( | ObjectClassHandle | theClass,
|  | const char * | theObjectName |
| ) |  |  | throw (ObjectClassNotDefined, ObjectClassNotPublished, ObjectAlreadyRegistered, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 931 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getObject(), privateRefs, Message::setName(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

ObjectHandle registerObjectInstance | ( | ObjectClassHandle | theClass | ) | throw (ObjectClassNotDefined, ObjectClassNotPublished, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 950 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getObject(), privateRefs, Message::setName(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

RTI::EventRetractionHandle updateAttributeValues | ( | ObjectHandle | theObject,
|  | const AttributeHandleValuePairSet & | theAttributes,
|  | const FedTime & | theTime,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Realization of the Create Federation Execution federation management service with time (HLA 1.3).

Provide current values to the federation for instance attributes owned by the federate. Un event retraction designator is returned.

Parameters:

  | theObject | Object instance designator
  | theAttributes | Set of attribute designator and value pairs
  | theTime | Federation time
  | theTag | User supplied tag

Definition at line 980 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, Message::getEventRetraction(), PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHVPS(), Message::setBoolean(), Message::setFedTime(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void updateAttributeValues | ( | ObjectHandle | the_object,
|  | const AttributeHandleValuePairSet & | theAttributes,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Realization of the Create Federation Execution federation management service without time (HLA 1.3).

Provide current values to the federation for instance attributes owned by the federate.

Parameters:

  | theObject | Object instance designator
  | theAttributes | Set of attribute designator and value pairs
  | theTag | User supplied tag

Definition at line 1024 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHVPS(), Message::setBoolean(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

RTI::EventRetractionHandle sendInteraction | ( | InteractionClassHandle | theInteraction,
|  | const ParameterHandleValuePairSet & | theParameters,
|  | const FedTime & | theTime,
|  | const char * | theTag |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Send Interaction with time This service (HLA 1.3) send an interaction into the federation.

As the federation time argument is supplied, an event retraction designator is returned.

Parameters:

  | theInteraction | Interaction class designator
  | theParameters | Set of interaction parameters designator and value pairs
  | theTime | Federation time
  | theTag | User-supplied tag

Definition at line 1058 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getEventRetraction(), privateRefs, Message::setBoolean(), Message::setFedTime(), Message::setInteractionClass(), Message::setPHVPS(), Message::setRegion(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void sendInteraction | ( | InteractionClassHandle | theInteraction,
|  | const ParameterHandleValuePairSet & | theParameters,
|  | const char * | theTag |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Send Interaction without time This service (HLA 1.3) send an interaction into the federation.

None is returned.

Parameters:

  | theInteraction | Interaction class designator
  | theParameters | Set of interaction parameters designator and value pairs
  | theTag | User-supplied tag

Definition at line 1100 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), Message::setInteractionClass(), Message::setPHVPS(), Message::setRegion(), Message::setTag(), and Message::type.

Here is the call graph for this function:

RTI::EventRetractionHandle deleteObjectInstance | ( | ObjectHandle | theObject,
|  | const FedTime & | theTime,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, DeletePrivilegeNotHeld, InvalidFederationTime, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Delete Object with time This service (HLA 1.3) deletes an object instance.

As the federation time argument is supplied, an event retraction designator is returned.

Parameters:

  | theObject | Object designator
  | theTime | Federation time
  | theTag | user supplied tag

Definition at line 1134 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getEventRetraction(), privateRefs, Message::setBoolean(), Message::setFedTime(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void deleteObjectInstance | ( | ObjectHandle | theObject,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, DeletePrivilegeNotHeld, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Delete Object without time This service (HLA 1.3) deletes an object instance.

Parameters:

  | theObject | Object designator
  | theTag | user supplied tag

Definition at line 1169 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void localDeleteObjectInstance | ( | ObjectHandle | theObject | ) | throw (ObjectNotKnown, FederateOwnsAttributes, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1193 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setObject(), and Message::type.

Here is the call graph for this function:

void changeAttributeTransportationType | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | theAttributes,
|  | TransportationHandle | theType |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1212 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), Message::setTransportation(), and Message::type.

Here is the call graph for this function:

void changeInteractionTransportationType | ( | InteractionClassHandle | theClass,
|  | TransportationHandle | theType |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1234 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setInteractionClass(), Message::setTransportation(), and Message::type.

Here is the call graph for this function:

void requestObjectAttributeValueUpdate | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | ahs |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1253 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void requestClassAttributeValueUpdate | ( | ObjectClassHandle | theClass,
|  | const AttributeHandleSet & | attrs |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1273 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, PrettyDebug::Out(), pdGendoc, privateRefs, Message::setAHS(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

void unconditionalAttributeOwnershipDivestiture | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1296 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void negotiatedAttributeOwnershipDivestiture | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeAlreadyBeingDivested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1320 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void attributeOwnershipAcquisition | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | desiredAttributes,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1351 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void attributeOwnershipAcquisitionIfAvailable | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | desired |
| ) |  |  | throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, AttributeAlreadyBeingAcquired, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1464 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

RTI::AttributeHandleSet * attributeOwnershipReleaseResponse | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateWasNotAskedToReleaseAttribute, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1383 of file RTIambassador.cc.

References certi::e_NO_EXCEPTION, RTIambPrivateRefs::executeService(), Message::getAHS(), Message::getExceptionType(), privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void cancelNegotiatedAttributeOwnershipDivestiture | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1414 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void cancelAttributeOwnershipAcquisition | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1439 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void queryAttributeOwnership | ( | ObjectHandle | theObject,
|  | AttributeHandle | theAttribute |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1491 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAttribute(), Message::setObject(), and Message::type.

Here is the call graph for this function:

RTI::Boolean isAttributeOwnedByFederate | ( | ObjectHandle | theObject,
|  | AttributeHandle | theAttribute |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1510 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getTag(), privateRefs, RTI::RTI_FALSE, RTI::RTI_TRUE, Message::setAttribute(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void enableTimeRegulation | ( | const FedTime & | theFederateTime,
|  | const FedTime & | theLookahead |
| ) |  |  | throw (TimeRegulationAlreadyEnabled, EnableTimeRegulationPending, TimeAdvanceAlreadyInProgress, InvalidFederationTime, InvalidLookahead, ConcurrentAccessAttempted, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1534 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), Message::setFedTime(), Message::setLookahead(), and Message::type.

Here is the call graph for this function:

void disableTimeRegulation | ( |  | ) | throw (TimeRegulationWasNotEnabled, ConcurrentAccessAttempted, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1553 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), and Message::type.

Here is the call graph for this function:

void enableTimeConstrained | ( |  | ) | throw (TimeConstrainedAlreadyEnabled, EnableTimeConstrainedPending, TimeAdvanceAlreadyInProgress, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1568 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), and Message::type.

Here is the call graph for this function:

void disableTimeConstrained | ( |  | ) | throw (TimeConstrainedWasNotEnabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1588 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setBoolean(), and Message::type.

Here is the call graph for this function:

void timeAdvanceRequest | ( | const FedTime & | theTime | ) | throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1606 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setFedTime(), and Message::type.

Here is the call graph for this function:

void timeAdvanceRequestAvailable | ( | const FedTime & | theTime | ) | throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1628 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setFedTime(), and Message::type.

Here is the call graph for this function:

void nextEventRequest | ( | const FedTime & | theTime | ) | throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1646 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setFedTime(), and Message::type.

Here is the call graph for this function:

void nextEventRequestAvailable | ( | const FedTime & | theTime | ) | throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1668 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setFedTime(), and Message::type.

Here is the call graph for this function:

void flushQueueRequest | ( | const FedTime & | theTime | ) | throw (InvalidFederationTime, FederationTimeAlreadyPassed, TimeAdvanceAlreadyInProgress, EnableTimeRegulationPending, EnableTimeConstrainedPending, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1685 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setFedTime(), and Message::type.

Here is the call graph for this function:

void enableAsynchronousDelivery | ( |  | ) | throw (AsynchronousDeliveryAlreadyEnabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1709 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void disableAsynchronousDelivery | ( |  | ) | throw (AsynchronousDeliveryAlreadyDisabled, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1726 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void queryLBTS | ( | RTI::FedTime & | theTime | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1741 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getFedTime(), privateRefs, and Message::type.

Here is the call graph for this function:

void queryFederateTime | ( | RTI::FedTime & | theTime | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1759 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getFedTime(), privateRefs, and Message::type.

Here is the call graph for this function:

void queryMinNextEventTime | ( | RTI::FedTime & | theTime | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1777 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getFedTime(), privateRefs, and Message::type.

Here is the call graph for this function:

void modifyLookahead | ( | const FedTime & | theLookahead | ) | throw (InvalidLookahead, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1795 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setLookahead(), and Message::type.

Here is the call graph for this function:

void queryLookahead | ( | RTI::FedTime & | theTime | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1811 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getFederationTimeDelta(), FedTime::getTime(), privateRefs, and Message::type.

Here is the call graph for this function:

void retract | ( | RTI::EventRetractionHandle | handle | ) | throw (InvalidRetractionHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1829 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setEventRetraction(), and Message::type.

Here is the call graph for this function:

void changeAttributeOrderType | ( | ObjectHandle | theObject,
|  | const AttributeHandleSet & | attrs,
|  | OrderingHandle | theType |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1846 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setAHS(), Message::setObject(), Message::setOrdering(), and Message::type.

Here is the call graph for this function:

void changeInteractionOrderType | ( | InteractionClassHandle | theClass,
|  | OrderingHandle | theType |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1867 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setInteractionClass(), Message::setOrdering(), and Message::type.

Here is the call graph for this function:

RTI::Region * createRegion | ( | SpaceHandle | space,
|  | ULong | nb_extents |
| ) |  |  | throw (SpaceNotDefined, InvalidExtents, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Create a routing region for data distribution management.

Parameters:

  | space | The space handle of the region
  | nb_extents | The number of extents

Returns:
  A Region object, associated with the created region

Definition at line 1890 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getNumber(), RTI::Region::getNumberOfExtents(), Message::getRegion(), privateRefs, Message::setNumber(), Message::setSpace(), and Message::setType().

Here is the call graph for this function:

void notifyAboutRegionModification | ( | Region & | r | ) | throw (RegionNotKnown, InvalidExtents, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Notify about region modification.

Applies the changes done through the region services to the RTI.

Parameters:

  | r | The region to commit to the RTI

Definition at line 1918 of file RTIambassador.cc.

References FedRegion::commit(), D, RTIambPrivateRefs::executeService(), BaseRegion::getExtents(), Handled::getHandle(), pdDebug, privateRefs, BasicMessage::setExtents(), Message::setRegion(), and Message::setType().

Here is the call graph for this function:

void deleteRegion | ( | Region * | region | ) | throw (RegionNotKnown, RegionInUse, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Delete region.

Correctly destroys the region (through the RTI).

Attention:
  Always use this function to destroy a region. Do NOT use the C++ delete operator.

Definition at line 1954 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, Message::setRegion(), and Message::setType().

Here is the call graph for this function:

ObjectHandle registerObjectInstanceWithRegion | ( | ObjectClassHandle | object_class,
|  | const char * | tag,
|  | AttributeHandle | attrs[],
|  | Region * | theRegions[],
|  | ULong | nb |
| ) |  |  | throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, ObjectAlreadyRegistered, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1984 of file RTIambassador.cc.

References build_region_handles(), RTIambPrivateRefs::executeService(), Message::getObject(), privateRefs, Message::setAHS(), Message::setObjectClass(), BasicMessage::setRegions(), Message::setTag(), and Message::setType().

Here is the call graph for this function:

ObjectHandle registerObjectInstanceWithRegion | ( | ObjectClassHandle | object_class,
|  | AttributeHandle | attrs[],
|  | Region * | regions[],
|  | ULong | nb |
| ) |  |  | throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2020 of file RTIambassador.cc.

References build_region_handles(), RTIambPrivateRefs::executeService(), Message::getObject(), privateRefs, Message::setAHS(), Message::setObjectClass(), BasicMessage::setRegions(), and Message::setType().

Here is the call graph for this function:

void associateRegionForUpdates | ( | Region & | region,
|  | ObjectHandle | object,
|  | const AttributeHandleSet & | attributes |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, InvalidRegionContext, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Associate region for updates.

Make attributes of an object be updated through a routing region.

Parameters:

  | region | Region to use for updates
  | object | Object to associate to the region
  | attributes | Handles of the involved attributes

See also:
  unassociateRegionForUpdates

Definition at line 2057 of file RTIambassador.cc.

References D, RTIambPrivateRefs::executeService(), get_handle(), pdDebug, privateRefs, Message::setAHS(), Message::setObject(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

void unassociateRegionForUpdates | ( | Region & | region,
|  | ObjectHandle | object |
| ) |  |  | throw (ObjectNotKnown, InvalidRegionContext, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Unassociate region for updates.

Make attributes of an object be updated through the default region (ie. Declaration Management services)

Parameters:

  | region | Region to unassociate
  | object | Object to unassociate

See also:
  associateRegionForUpdates

Definition at line 2091 of file RTIambassador.cc.

References D, RTIambPrivateRefs::executeService(), get_handle(), pdDebug, privateRefs, Message::setObject(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

void subscribeObjectClassAttributesWithRegion | ( | ObjectClassHandle | object_class,
|  | Region & | region,
|  | const AttributeHandleSet & | attributes,
|  | Boolean | passive = `RTI_TRUE` |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Subscribe object class attributes with region.

Parameters:

  | object_class | ObjectClassHandle
  | region | Region to subscribe with
  | attributes | AttributeHandleSet involved in the subscription
  | passive | Boolean

See also:
  unsubscribeObjectClassWithRegion

Definition at line 2122 of file RTIambassador.cc.

References D, RTIambPrivateRefs::executeService(), get_handle(), pdDebug, privateRefs, Message::setAHS(), Message::setBoolean(), Message::setObjectClass(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

void unsubscribeObjectClassWithRegion | ( | ObjectClassHandle | object_class,
|  | Region & | region |
| ) |  |  | throw (ObjectClassNotDefined, RegionNotKnown, ObjectClassNotSubscribed, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Unsubscribe object class attributes with region.

Parameters:

  | object_class | ObjectClassHandle
  | region | Region to unsubscribe with

See also:
  subscribeObjectClassAttributesWithRegion

Definition at line 2157 of file RTIambassador.cc.

References D, RTIambPrivateRefs::executeService(), get_handle(), pdDebug, privateRefs, Message::setObjectClass(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

void subscribeInteractionClassWithRegion | ( | InteractionClassHandle | ic,
|  | Region & | region,
|  | RTI::Boolean | passive = `RTI_TRUE` |
| ) |  |  | throw (InteractionClassNotDefined, RegionNotKnown, InvalidRegionContext, FederateLoggingServiceCalls, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2183 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), get_handle(), privateRefs, Message::setBoolean(), Message::setInteractionClass(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

void unsubscribeInteractionClassWithRegion | ( | InteractionClassHandle | ic,
|  | Region & | region |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotSubscribed, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2209 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), get_handle(), privateRefs, Message::setInteractionClass(), Message::setRegion(), and Message::type.

Here is the call graph for this function:

RTI::EventRetractionHandle sendInteractionWithRegion | ( | InteractionClassHandle | interaction,
|  | const ParameterHandleValuePairSet & | par,
|  | const FedTime & | time,
|  | const char * | tag,
|  | const Region & | region |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, InvalidFederationTime, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2232 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), get_handle(), Message::getEventRetraction(), privateRefs, Message::setFedTime(), Message::setInteractionClass(), Message::setPHVPS(), Message::setRegion(), Message::setTag(), and Message::setType().

Here is the call graph for this function:

void sendInteractionWithRegion | ( | InteractionClassHandle | interaction,
|  | const ParameterHandleValuePairSet & | par,
|  | const char * | tag,
|  | const Region & | region |
| ) |  |  | throw (InteractionClassNotDefined, InteractionClassNotPublished, InteractionParameterNotDefined, RegionNotKnown, InvalidRegionContext, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2269 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), get_handle(), privateRefs, Message::setInteractionClass(), Message::setPHVPS(), Message::setRegion(), Message::setTag(), and Message::setType().

Here is the call graph for this function:

void requestClassAttributeValueUpdateWithRegion | ( | ObjectClassHandle | ,
|  | const AttributeHandleSet & | attrs,
|  | const Region & | region |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, RegionNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 2302 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), get_handle(), privateRefs, Message::setAHS(), Message::setRegion(), and Message::setType().

Here is the call graph for this function:

ObjectClassHandle getObjectClassHandle | ( | const char * | theName | ) | throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get object class handle.

Parameters:

  | theName | Name of the object class

Definition at line 2323 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, Message::getObjectClass(), PrettyDebug::Out(), pdGendoc, privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getObjectClassName | ( | ObjectClassHandle | handle | ) | throw (ObjectClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get object class name.

Parameters:

  | handle | Handle of the object class

Returns:
  The class name associated with the handle, memory has to be freed by the caller.

Definition at line 2349 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

AttributeHandle getAttributeHandle | ( | const char * | theName,
|  | ObjectClassHandle | whichClass |
| ) |  |  | throw (ObjectClassNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get attribute handle.

Parameters:

  | theName | Name of the attribute
  | whichClass | Handle of the attribute's class

Definition at line 2368 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), G, Message::getAttribute(), PrettyDebug::Out(), pdGendoc, privateRefs, Message::setName(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

char * getAttributeName | ( | AttributeHandle | theHandle,
|  | ObjectClassHandle | whichClass |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get attribute name.

Parameters:

  | theHandle | Handle of the attribute
  | whichClass | Handle of the attribute's class

Definition at line 2393 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setAttribute(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

InteractionClassHandle getInteractionClassHandle | ( | const char * | theName | ) | throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2412 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getInteractionClass(), privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getInteractionClassName | ( | InteractionClassHandle | theHandle | ) | throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2431 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

ParameterHandle getParameterHandle | ( | const char * | theName,
|  | InteractionClassHandle | whichClass |
| ) |  |  | throw (InteractionClassNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2450 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getParameter(), privateRefs, Message::setInteractionClass(), Message::setName(), and Message::type.

Here is the call graph for this function:

char * getParameterName | ( | ParameterHandle | theHandle,
|  | InteractionClassHandle | whichClass |
| ) |  |  | throw (InteractionClassNotDefined, InteractionParameterNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2472 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setInteractionClass(), Message::setParameter(), and Message::type.

Here is the call graph for this function:

ObjectHandle getObjectInstanceHandle | ( | const char * | theName | ) | throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2494 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getObject(), privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getObjectInstanceName | ( | ObjectHandle | theHandle | ) | throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2511 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setObject(), and Message::type.

Here is the call graph for this function:

SpaceHandle getRoutingSpaceHandle | ( | const char * | rs_name | ) | throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get routing space handle.

Parameters:

  | rs_name | Name of the routing space

Definition at line 2530 of file RTIambassador.cc.

References D, RTIambPrivateRefs::executeService(), Message::getSpace(), pdDebug, privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getRoutingSpaceName | ( | SpaceHandle | handle | ) | throw (SpaceNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get routing space name.

Parameters:

  | handle | Handle of the routing space

Definition at line 2549 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setSpace(), and Message::type.

Here is the call graph for this function:

DimensionHandle getDimensionHandle | ( | const char * | dimension,
|  | SpaceHandle | space |
| ) |  |  | throw (SpaceNotDefined, NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get dimension handle.

Parameters:

  | dimension | Name of the dimension
  | space | The dimension's routing SpaceHandle

Definition at line 2568 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getDimension(), privateRefs, Message::setName(), Message::setSpace(), and Message::type.

Here is the call graph for this function:

char * getDimensionName | ( | DimensionHandle | dimension,
|  | SpaceHandle | space |
| ) |  |  | throw (SpaceNotDefined, DimensionNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get dimension name.

Parameters:

  | dimension | Handle of the dimension
  | space | The dimension's routing space handle

Definition at line 2590 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setDimension(), Message::setSpace(), and Message::type.

Here is the call graph for this function:

SpaceHandle getAttributeRoutingSpaceHandle | ( | AttributeHandle | attribute,
|  | ObjectClassHandle | object_class |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get attribute routing space handle.

Parameters:

  | attribute | The attribute handle
  | object_class | The attribute's class handle

Returns:
  The associated routing space handle

Definition at line 2613 of file RTIambassador.cc.

References certi::fedparser::attribute, RTIambPrivateRefs::executeService(), Message::getSpace(), privateRefs, Message::setAttribute(), Message::setObjectClass(), and Message::type.

Here is the call graph for this function:

ObjectClassHandle getObjectClass | ( | ObjectHandle | theObject | ) | throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2632 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getObjectClass(), privateRefs, Message::setObject(), and Message::type.

Here is the call graph for this function:

SpaceHandle getInteractionRoutingSpaceHandle | ( | InteractionClassHandle | inter | ) | throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Get interaction routing space handle.

Parameters:

  | inter | The interaction handle

Returns:
  The associated routing space

Definition at line 2649 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getSpace(), privateRefs, Message::setInteractionClass(), and Message::type.

Here is the call graph for this function:

RTI::TransportationHandle getTransportationHandle | ( | const char * | theName | ) | throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2665 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getTransportation(), privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getTransportationName | ( | TransportationHandle | theHandle | ) | throw (InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2679 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setTransportation(), and Message::type.

Here is the call graph for this function:

RTI::OrderingHandle getOrderingHandle | ( | const char * | theName | ) | throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2693 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getOrdering(), privateRefs, Message::setName(), and Message::type.

Here is the call graph for this function:

char * getOrderingName | ( | OrderingHandle | theHandle | ) | throw (InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError)

Definition at line 2708 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), Message::getName(), hla_strdup(), privateRefs, Message::setOrdering(), and Message::type.

Here is the call graph for this function:

void enableClassRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the ClassRelevanceAdvisory (CRA) switch to true.

The switch state is hold on the RTIG side. That's why the message ENABLE_CLASS_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the CRA switch is true. This causes a delivery of the federate service startRegistrationForObjectClass to a publisher if there are any new subscribers for the federates published object classes. If there are no more subscribers a publisher gets the federate service stopRegistrationForObjectClass.

By disabling the CRA switch the federate is no longer informed by subscriptions to its published object classes, i.e. the federate services startRegistrationForObjectClass and stopRegistrationForObjectClass respectively are not invoked.

See also:
  disableClassRelevanceAdvisorySwitch()

Definition at line 2738 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void disableClassRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the ClassRelevanceAdvisory (CRA) switch to false.

The switch state is hold on the RTIG side. That's why the message DISABLE_CLASS_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the CRA switch is true. This causes a delivery of the federate service startRegistrationForObjectClass to a publisher if there are any new subscribers for the federates published object classes. If there are no more subscribers a publisher gets the federate service stopRegistrationForObjectClass.

See also:
  enableClassRelevanceAdvisorySwitch()

By disabling the CRA switch the federate is no longer informed by subscriptions to its published object classes, i.e. the federate services startRegistrationForObjectClass and stopRegistrationForObjectClass respectively are not invoked.

Definition at line 2767 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void enableAttributeRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the AttributeRelevanceAdvisory (ARA) switch to true.

The switch state is hold on the RTIG side. That's why the message ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the ARA switch is false. When enabling the ARA switch the federate is informed by the federate service turnUpdatesOnForObjectInstance of new object instances within remote federates actively subscribed to its published attributes. If there are no active subscribers for a set of instance-attributes the federate receives the federate service turnUpdatesOffForObjectInstance.

By disabling the ARA switch the federate is no longer informed by subscriptions to its published attributes, i.e. the federate services turnUpdatesOnForObjectInstance and turnUpdatesOffForObjectInstance respectively are not invoked.

See also:
  disableAttributeRelevanceAdvisorySwitch()

Definition at line 2797 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void disableAttributeRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the AttributeRelevanceAdvisory (ARA) switch to false.

The switch state is hold on the RTIG side. That's why the message DISABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the ARA switch is false. When enabling the ARA switch the federate is informed by the federate service turnUpdatesOnForObjectInstance of new object instances within remote federates actively subscribed to its published attributes. If there are no active subscribers for a set of instance-attributes the federate receives the federate service turnUpdatesOffForObjectInstance.

See also:
  enableAttributeRelevanceAdvisorySwitch()

By disabling the ARA switch the federate is no longer informed by subscriptions to its published attributes, i.e. the federate services turnUpdatesOnForObjectInstance and turnUpdatesOffForObjectInstance respectively are not invoked.

Definition at line 2827 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void enableAttributeScopeAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the AttributeScopeAdvisory (ASA) switch to true.

The switch state is hold on the RTIG side. That's why the message ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the ASA switch is false. When enabling the ASA switch the federate is informed by the federate services attributesInScope and attributesOutScope respectively of discovered or registrated but not owned attribute-instances intersecting or leaving its subscription regions.

By disabling the ASA switch the federate is no longer informed of changes in attribute-instance scope, i.e. the federate services attributesInScope and attributesOutScope respectively are not invoked.

See also:
  disableAttributeScopeAdvisorySwitch()

Definition at line 2855 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void disableAttributeScopeAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the AttributeScopeAdvisory (ASA) switch to false.

The switch state is hold on the RTIG side. That's why the message DISABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the ASA switch is false. When enabling the ASA switch the federate is informed by the federate services attributesInScope and attributesOutScope respectively of discovered or registrated but not owned attribute-instances intersecting or leaving its subscription regions.

See also:
  enableAttributeScopeAdvisorySwitch()

By disabling the ASA switch the federate is no longer informed of changes in attribute-instance scope, i.e. the federate services attributesInScope and attributesOutScope respectively are not invoked.

Definition at line 2884 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void enableInteractionRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the InteractionRelevanceAdvisory (IRA) switch to true.

The switch state is hold on the RTIG side. That's why the message ENABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the IRA switch is true. This causes a delivery of the federate service turnInteractionsOn to a publisher if there are any new subscribers for the federates published interaction classes. If there are no more subscribers a publisher gets the federate service turnInteractionsOff().

By disabling the IRA switch the federate is no longer informed by subscriptions to its published interaction classes, i.e. the federate services turnInteractionsOn and turnInteractionsOff respectively are not invoked.

See also:
  disableInteractionRelevanceAdvisorySwitch()

Definition at line 2913 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

void disableInteractionRelevanceAdvisorySwitch | ( |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets the InteractionRelevanceAdvisory (IRA) switch to false.

The switch state is hold on the RTIG side. That's why the message DISABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH is transmitted to RTIA. RTIA transmits the message towards RTIG.

By default, the IRA switch is true. This causes a delivery of the federate service turnInteractionsOn to a publisher if there are any new subscribers for the federates published interaction classes. If there are no more subscribers a publisher gets the federate service turnInteractionsOff().

See also:
  enableInteractionRelevanceAdvisorySwitch()

By disabling the IRA switch the federate is no longer informed by subscriptions to its published interaction classes, i.e. the federate services turnInteractionsOn and turnInteractionsOff respectively are not invoked.

Definition at line 2942 of file RTIambassador.cc.

References RTIambPrivateRefs::executeService(), privateRefs, and Message::type.

Here is the call graph for this function:

RTI::Boolean tick | ( |  | ) | throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)

Evoke callback (HLA1.3).

Non-blocking callback evocation, returns immediately with or without 1 callback.

Returns:
  Always returns false.

Definition at line 236 of file RTIambassador.cc.

References __tick_kernel(), and RTI::RTI_FALSE.

Here is the call graph for this function:

RTI::Boolean tick2 | ( |  | ) | throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)

Evoke callback (CERTI extension).

Blocks until a callback delivery and then evokes a single callback. Waits until a callback delivery, be careful.

Returns:
  true if additional callbacks pending, false otherwise

Warning:
  This is a non-standard extension of the HLA 1.3 API.

Definition at line 253 of file RTIambassador.cc.

References __tick_kernel(), and RTI::RTI_FALSE.

Here is the call graph for this function:

RTI::Boolean __tick_kernel | ( | RTI::Boolean | multiple,
|  | TickTime | minimum,
|  | TickTime | maximum |
| ) |  |  | throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)

Generic callback evocation (CERTI extension).

Blocks up to "minimum" seconds until a callback delivery and then evokes a single callback.

Returns:
  true if additional callbacks pending, false otherwise

Warning:
  This is a non-standard extension of the HLA 1.3 API.

Definition at line 270 of file RTIambassador.cc.

References RTIambPrivateRefs::callFederateAmbassador(), certi::e_NO_EXCEPTION, Message::getBoolean(), Message::getExceptionType(), RTIambPrivateRefs::msgBufReceive, RTIambPrivateRefs::msgBufSend, privateRefs, RTIambPrivateRefs::processException(), Message::receive(), Message::send(), RTIambPrivateRefs::sendTickRequestStop(), Message::setBoolean(), Message::setMaxTickTime(), Message::setMinTickTime(), RTIambPrivateRefs::socketUn, Message::trace(), and Message::type.

Referenced by tick(), and tick2().

Here is the call graph for this function:

RTI::Boolean tick | ( | TickTime | minimum,
|  | TickTime | maximum |
| ) |  |  | throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError)

Evoke multiple callbacks (HLA1.3).

Blocks up to "minimum" seconds until a callback delivery, then envokes multiple callbacks until no callback is pending, or until "maximum" duration is reached.

Returns:
  true if additional callbacks pending, false otherwise

Definition at line 353 of file RTIambassador.cc.

References __tick_kernel(), and RTI::RTI_TRUE.

Here is the call graph for this function:

RTI::RegionToken getRegionToken | ( | Region * | region | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError)

Get Region Token.

Definition at line 363 of file RTIambassador.cc.

References get_handle().

Here is the call graph for this function:

RTI::Region * getRegion | ( | RegionToken |  | ) | throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError)

Get Region.

Definition at line 373 of file RTIambassador.cc.

## Member Data Documentation

RTIambPrivateData* privateData

Definition at line 992 of file RTI.hh.

RTIambPrivateRefs* privateRefs`[private]`

Definition at line 994 of file RTI.hh.

Referenced by __tick_kernel(), associateRegionForUpdates(), attributeOwnershipAcquisition(), attributeOwnershipAcquisitionIfAvailable(), attributeOwnershipReleaseResponse(), cancelAttributeOwnershipAcquisition(), cancelNegotiatedAttributeOwnershipDivestiture(), changeAttributeOrderType(), changeAttributeTransportationType(), changeInteractionOrderType(), changeInteractionTransportationType(), createFederationExecution(), createRegion(), deleteObjectInstance(), deleteRegion(), destroyFederationExecution(), disableAsynchronousDelivery(), disableAttributeRelevanceAdvisorySwitch(), disableAttributeScopeAdvisorySwitch(), disableClassRelevanceAdvisorySwitch(), disableInteractionRelevanceAdvisorySwitch(), disableTimeConstrained(), disableTimeRegulation(), enableAsynchronousDelivery(), enableAttributeRelevanceAdvisorySwitch(), enableAttributeScopeAdvisorySwitch(), enableClassRelevanceAdvisorySwitch(), enableInteractionRelevanceAdvisorySwitch(), enableTimeConstrained(), enableTimeRegulation(), federateRestoreComplete(), federateRestoreNotComplete(), federateSaveBegun(), federateSaveComplete(), federateSaveNotComplete(), flushQueueRequest(), getAttributeHandle(), getAttributeName(), getAttributeRoutingSpaceHandle(), getDimensionHandle(), getDimensionName(), getInteractionClassHandle(), getInteractionClassName(), getInteractionRoutingSpaceHandle(), getObjectClass(), getObjectClassHandle(), getObjectClassName(), getObjectInstanceHandle(), getObjectInstanceName(), getOrderingHandle(), getOrderingName(), getParameterHandle(), getParameterName(), getRoutingSpaceHandle(), getRoutingSpaceName(), getTransportationHandle(), getTransportationName(), isAttributeOwnedByFederate(), joinFederationExecution(), localDeleteObjectInstance(), modifyLookahead(), negotiatedAttributeOwnershipDivestiture(), nextEventRequest(), nextEventRequestAvailable(), notifyAboutRegionModification(), publishInteractionClass(), publishObjectClass(), queryAttributeOwnership(), queryFederateTime(), queryLBTS(), queryLookahead(), queryMinNextEventTime(), registerFederationSynchronizationPoint(), registerObjectInstance(), registerObjectInstanceWithRegion(), requestClassAttributeValueUpdate(), requestClassAttributeValueUpdateWithRegion(), requestFederationRestore(), requestFederationSave(), requestObjectAttributeValueUpdate(), resignFederationExecution(), retract(), RTIambassador(), sendInteraction(), sendInteractionWithRegion(), subscribeInteractionClass(), subscribeInteractionClassWithRegion(), subscribeObjectClassAttributes(), subscribeObjectClassAttributesWithRegion(), synchronizationPointAchieved(), timeAdvanceRequest(), timeAdvanceRequestAvailable(), unassociateRegionForUpdates(), unconditionalAttributeOwnershipDivestiture(), unpublishInteractionClass(), unpublishObjectClass(), unsubscribeInteractionClass(), unsubscribeInteractionClassWithRegion(), unsubscribeObjectClass(), unsubscribeObjectClassWithRegion(), updateAttributeValues(), and ~RTIambassador().

The documentation for this class was generated from the following files:

- RTI.hh
- RTIambassador.cc